<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: DMABuffer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classDMABuffer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DMABuffer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a49675da444369e0825f6a2e681f7b548"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#a49675da444369e0825f6a2e681f7b548">dump</a> ()</td></tr>
<tr class="memdesc:a49675da444369e0825f6a2e681f7b548"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump the state of the buffer.  <a href="#a49675da444369e0825f6a2e681f7b548">More...</a><br /></td></tr>
<tr class="separator:a49675da444369e0825f6a2e681f7b548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a047eecb2d3537cd58c867919201166e8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#a047eecb2d3537cd58c867919201166e8">getData</a> (uint8_t *pData, uint32_t length)</td></tr>
<tr class="memdesc:a047eecb2d3537cd58c867919201166e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Populate a buffer of data with the DMA data.  <a href="#a047eecb2d3537cd58c867919201166e8">More...</a><br /></td></tr>
<tr class="separator:a047eecb2d3537cd58c867919201166e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87c79cf63ca6d258ba1e68e9cf94408"><td class="memItemLeft" align="right" valign="top">lldesc_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#ae87c79cf63ca6d258ba1e68e9cf94408">getDesc</a> ()</td></tr>
<tr class="memdesc:ae87c79cf63ca6d258ba1e68e9cf94408"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the underlying linked list descriptor.  <a href="#ae87c79cf63ca6d258ba1e68e9cf94408">More...</a><br /></td></tr>
<tr class="separator:ae87c79cf63ca6d258ba1e68e9cf94408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a276d74a50f24cecf801f9232b61eef79"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#a276d74a50f24cecf801f9232b61eef79">getLength</a> ()</td></tr>
<tr class="memdesc:a276d74a50f24cecf801f9232b61eef79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of populated bytes.  <a href="#a276d74a50f24cecf801f9232b61eef79">More...</a><br /></td></tr>
<tr class="separator:a276d74a50f24cecf801f9232b61eef79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c89b2bbc644aa8d45eb567677909e60"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDMABuffer.html">DMABuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#a2c89b2bbc644aa8d45eb567677909e60">getNext</a> ()</td></tr>
<tr class="memdesc:a2c89b2bbc644aa8d45eb567677909e60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next DMA Buffer.  <a href="#a2c89b2bbc644aa8d45eb567677909e60">More...</a><br /></td></tr>
<tr class="separator:a2c89b2bbc644aa8d45eb567677909e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a660c19ba9210f9bb233581943a572b2b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#a660c19ba9210f9bb233581943a572b2b">isEoF</a> ()</td></tr>
<tr class="memdesc:a660c19ba9210f9bb233581943a572b2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Have we received all the data we expected?  <a href="#a660c19ba9210f9bb233581943a572b2b">More...</a><br /></td></tr>
<tr class="separator:a660c19ba9210f9bb233581943a572b2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae5632ed93fdb8c200e968640d83b71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDMABuffer.html#abae5632ed93fdb8c200e968640d83b71">setNext</a> (<a class="el" href="classDMABuffer.html">DMABuffer</a> *pNext)</td></tr>
<tr class="memdesc:abae5632ed93fdb8c200e968640d83b71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the next DMA buffer in the chain.  <a href="#abae5632ed93fdb8c200e968640d83b71">More...</a><br /></td></tr>
<tr class="separator:abae5632ed93fdb8c200e968640d83b71"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A representation of a DMA buffer. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a49675da444369e0825f6a2e681f7b548"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49675da444369e0825f6a2e681f7b548">&#9670;&nbsp;</a></span>dump()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DMABuffer::dump </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dump the state of the buffer. </p>
<dl class="section return"><dt>Returns</dt><dd>N/A </dd></dl>

</div>
</div>
<a id="a047eecb2d3537cd58c867919201166e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a047eecb2d3537cd58c867919201166e8">&#9670;&nbsp;</a></span>getData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t DMABuffer::getData </td>
          <td>(</td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>pData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Populate a buffer of data with the DMA data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pData</td><td>A pointer to data to be populated with the DMA data. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">length</td><td>The size in bytes of the pData buffer. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The number of bytes actually copied. </dd></dl>

</div>
</div>
<a id="ae87c79cf63ca6d258ba1e68e9cf94408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae87c79cf63ca6d258ba1e68e9cf94408">&#9670;&nbsp;</a></span>getDesc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">lldesc_t * DMABuffer::getDesc </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the underlying linked list descriptor. </p>
<dl class="section return"><dt>Returns</dt><dd>The underlying linked list descriptor. </dd></dl>

</div>
</div>
<a id="a276d74a50f24cecf801f9232b61eef79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a276d74a50f24cecf801f9232b61eef79">&#9670;&nbsp;</a></span>getLength()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t DMABuffer::getLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of populated bytes. </p>
<dl class="section return"><dt>Returns</dt><dd>The number of populated bytes. </dd></dl>

</div>
</div>
<a id="a2c89b2bbc644aa8d45eb567677909e60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c89b2bbc644aa8d45eb567677909e60">&#9670;&nbsp;</a></span>getNext()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classDMABuffer.html">DMABuffer</a> * DMABuffer::getNext </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the next DMA Buffer. </p>
<dl class="section return"><dt>Returns</dt><dd>The next DMA Buffer; </dd></dl>

</div>
</div>
<a id="a660c19ba9210f9bb233581943a572b2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a660c19ba9210f9bb233581943a572b2b">&#9670;&nbsp;</a></span>isEoF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool DMABuffer::isEoF </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Have we received all the data we expected? </p>
<dl class="section return"><dt>Returns</dt><dd>True if we have received all the data we expected. </dd></dl>

</div>
</div>
<a id="abae5632ed93fdb8c200e968640d83b71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abae5632ed93fdb8c200e968640d83b71">&#9670;&nbsp;</a></span>setNext()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DMABuffer::setNext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classDMABuffer.html">DMABuffer</a> *&#160;</td>
          <td class="paramname"><em>pNext</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the next DMA buffer in the chain. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pNext</td><td>The next DMA buffer in the chain. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>I2S.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
